<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'SAJAT_API_KEY' );

// A CURL extension hasznalataval kivalthatjuk a letiltott
// allow_url_fopen miatt hasznalhatatlan file_get_contents() alapu
// modszert. Ekkor a CURL kiterjesztesnek telepitve kell lennie,
// ez az osztaly is ellenorzi.
$bip->callingMethod = 'curl';

try {

  $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany' );

}
catch ( Exception $e ) {
  // altalanos kivetelt akkor kaphatunk,
  // ha egyeb, nem tamogatott muvelet tortent:
  // - nem ismert API valaszt kaptunk
  // - nem volt elerheto az API HTTP-n keresztul
  // - nem irhato a logfile
  mail(
    'emailcim@example.com',
    'Altalanos hiba a BIP API hasznalata soran', 
    $e
  );
  // egy teljes hibauzenet sztring
  echo $e; 
  // a valasz tombkent, result, code es message indexekkel
  print_r( $bip->getLastResult() ); 
}

echo '</pre>';

?>